Download it now!
Bug 39015 - EDITING: Can not select text starting with the beginning of a line
Summary: EDITING: Can not select text starting with the beginning of a line
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 46710 (view as bug list)
Depends on:
Blocks: Selection Drag-and-Drop
  Show dependency treegraph
 
Reported: 2011-07-06 14:13 UTC by Dan Essin
Modified: 2019-11-30 03:39 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen capture of problem (701.84 KB, video/mp4)
2011-07-07 13:02 UTC, Dan Essin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Essin 2011-07-06 14:13:49 UTC
If you select text by starting at the end of the desired selection and dragging toward the beginning it works.

If you start selecting text at the beginning of a line, as soon as you start to drag toward the end to define the selection, it instead, picks up the first word of the line and moves it as you drag.
Comment 1 Rainer Bielefeld Retired 2011-07-07 01:37:37 UTC
NOT reproducible with "LibreOffice 3.4.1RC1 - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:103)]", may be I don't understand the problem?

@reporter:
May I ask you to read  hints on <http://wiki.documentfoundation.org/BugReport> carefully?
Then please:
- Write a meaningful Summary
- Attach a sample document 
- Attach screenshots with comments (you can add information using LibO DRAW
  and then attach your screenshot with comments as PDF) if necessary
- Contribute a step by step instruction containing every key press and every 
  mouse click how to reproduce your problem
- add information 
  -- what exactly is unexpected
  -- and why do you believe it's unexpected
  -- concerning your PC 
  -- concerning your OS (exact version)
  -- concerning your LibO localization (UI language)
  –- Libo settings that might be related to your problems 
    (video hardware acceleration ...)
  -- how you launch LibO and how you opened the sample document
  -- everything else crossing your mind after you read a.m. URL

An as an example for a bug report how it should be please see my Comment 2 in
"Bug 35933 - Spreadsheet prints unnecessary blank last page"

Can you please file Bug reports with status UNCONFIRMED if your are not absolutely sure that you contributed all required background information and that the problem will be reproducible with information you can provide? Thank you!
Comment 2 Dan Essin 2011-07-07 10:58:30 UTC
I don't quite know what to say. The problem that I was attempting tp describe has happened on a number of occasions but now that you have asked me to provide a more detailed description I tried again today. Today the problem did not occur. I guess that I will have to wait until it happens again and try to do a screen capture at that time.

Is it possible to suspend this so that I can reactivate it when I have additional information?

Thank you
Comment 3 Rainer Bielefeld Retired 2011-07-07 11:03:08 UTC
WFM due to reporter's comments

@reporter:
Yes, of course!
Please feel free to reopen this bug if you find out that the problem still exists with the current stable LibreOffice version and if you can contribute requested additional information.
Comment 4 Dan Essin 2011-07-07 13:02:52 UTC
Created attachment 48864 [details]
Screen capture of problem
Comment 5 Rainer Bielefeld Retired 2011-07-07 22:46:11 UTC
I also see that behavior from time to time (1 / 10000 or so), but I never was able to reproduce it. 

May be wh have 2 problems:
A. Can not select normal text, text will be moved or ignored instead of selected
B. Can not select text with hyperlink, text will be moved or ignored instead of selected

Steps how to reproduce "A"
1.Open attached "sample.odt
2. move cursor pointer to blank in hyperlink between "Sit" and "Amet"
3. click, leave mouse button pushed, move cursor until end of "Amet"
  Expected: "Amet" should become marked
  Actual: caret moves with mouse pointer until end of word

I am pretty sure that this problem is at least similar to reporter's, in the movie I saw the "link tooltip" before he started to try to select the text with the link.

I believe I also found a possibility how to reproduce "B" 

11. Click in fourth line on blank between "mi" and "vulputate", so that 
    caret flashes between "vulputate" and blank
12. right click for context menu
13. move mouse pointer few (2) millimeters up 
14. right click, so that context menu disappears, but caret still 
    flashes between "vulputate" and blank
15. click directly in front of first word of line "eleifend"
16. Leave left mouse button pushed and drag down
    expected: line will be selected if mouse pointer reaches next line
    actual: in app. 10% of attempts caret follows mouse pointer without 
            highlighting / selection

I can't tell whether steps 11 ... 14 really have to do with the effect or are simple superstition.

@Dan:
Can you confirm my observations and may be contribute additional information?

@Cristoph:
Is there any manual with details how this selection should work?
Comment 6 Christoph 2011-07-10 14:50:44 UTC
(In reply to comment #5)

@ Rainer: The test document is missing, but I tried to reproduce with the given descriptions.

> Steps how to reproduce "A"
> 1.Open attached "sample.odt
> 2. move cursor pointer to blank in hyperlink between "Sit" and "Amet"
> 3. click, leave mouse button pushed, move cursor until end of "Amet"
>   Expected: "Amet" should become marked
>   Actual: caret moves with mouse pointer until end of word

It seems that Writer wants to "protect" that hyperlinks get "sliced" due to mouse actions. So the hyperlink is treated as a continuous object instead of single characters / words.

The behavior itself is acceptable (to not select individual words), but the selection should reflect that - in our case, the full hyperlink should get selected before/during the move of the content. I hope this description can be understood.
 
> I believe I also found a possibility how to reproduce "B" 
[...]

Sorry, unable to reproduce.

> @Cristoph:
> Is there any manual with details how this selection should work?

I had a quick look, but did not find anything related ... the "truth" seems to be in the code :-)
Comment 7 ign_christian 2013-07-01 03:54:30 UTC
*** Bug 46710 has been marked as a duplicate of this bug. ***
Comment 8 Joel Madero 2014-11-06 22:07:04 UTC
Seems confirmed - moving to NEW.
Comment 9 QA Administrators 2015-12-20 16:05:22 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2017-01-03 19:45:50 UTC Comment hidden (obsolete)
Comment 11 Rpnpif 2017-01-04 14:37:43 UTC
If I understand rightly this issue, it is yet existing with LO 5.2.4.2.
Comment 12 Su Ming Wei 2018-11-29 09:45:10 UTC
Bug Still exists in 
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded

I can select hyperlink text from the begining or the end. However , when I want to select from the middele text of hyperlink , it will become moving the whole hyperlink.
Comment 13 QA Administrators 2019-11-30 03:39:46 UTC
Dear Dan Essin,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug